Bug 596925 - Display is corrupt on T500 laptop
Summary: Display is corrupt on T500 laptop
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-intel (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: x86_64 Linux
low
medium
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard: card_GM45
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 19:04 UTC by Bob Kozdemba
Modified: 2010-07-15 13:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 13:44:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
See attached file for corrupted desktop icons in upper left corner of screen (566.39 KB, image/png)
2010-05-27 19:04 UTC, Bob Kozdemba
no flags Details
dmesg (63.10 KB, text/plain)
2010-05-31 20:06 UTC, Gerd Hoffmann
no flags Details
/var/log/messages (86.55 KB, text/plain)
2010-05-31 20:07 UTC, Gerd Hoffmann
no flags Details
dmesg output (55.02 KB, text/plain)
2010-06-01 15:18 UTC, Bob Kozdemba
no flags Details
/var/log/messages (306.65 KB, text/plain)
2010-06-01 15:21 UTC, Bob Kozdemba
no flags Details
screen shot (205.66 KB, image/png)
2010-06-03 11:35 UTC, Gerd Hoffmann
no flags Details
screen shot (205.66 KB, image/png)
2010-06-03 11:38 UTC, Gerd Hoffmann
no flags Details
dmesg 2 (66.67 KB, text/plain)
2010-06-03 15:08 UTC, Gerd Hoffmann
no flags Details
/var/log/Xorg.0.log (109.06 KB, text/plain)
2010-06-29 10:16 UTC, Gerd Hoffmann
no flags Details

Description Bob Kozdemba 2010-05-27 19:04:45 UTC
Created attachment 417348 [details]
See attached file for corrupted desktop icons in upper left corner of screen

Description of problem:
Display is corrupt during all applications.
See attached file for corrupted desktop icons and title bar of screen shot applet.

Also attached /var/log/Xorg.0.log

Version-Release number of selected component (if applicable):
rhel6 beta (2.6.32-29.el6.x86_64)
xorg-x11-server-Xorg.x86_64   1.7.6-6.el6

How reproducible:
100%, although when mouse moves over corrupted area the pixels change value.

Steps to Reproduce:
1.Login and observe desktop icons
2.
3.
  
Actual results:
Corrupted desktop icons. Display is corrupt during all applications.

Expected results:


Additional info:
Hardware is Lenovo T500 laptop

/var/log/Xorg.0.log output:

(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): EDID for output HDMI1
(II) intel(0): EDID for output DP1
(II) intel(0): EDID for output HDMI2
(II) intel(0): EDID for output DP2
(II) intel(0): EDID for output DP3
(II) intel(0): EDID for output LVDS1
(II) intel(0): EDID for output VGA1
(II) intel(0): Manufacturer: DEL  Model: a018  Serial#: 809709644
(II) intel(0): Year: 2006  Week: 14
(II) intel(0): EDID Version: 1.3
(II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) intel(0): Sync:  Separate  Composite  SyncOnGreen
(II) intel(0): Max Image Size [cm]: horiz.: 43  vert.: 27
(II) intel(0): Gamma: 2.20
(II) intel(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) intel(0): Default color space is primary color space
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) intel(0): blueX: 0.150 blueY: 0.060   whiteX: 0.312 whiteY: 0.329
(II) intel(0): Supported established timings:
(II) intel(0): 720x400@70Hz
(II) intel(0): 640x480@60Hz
(II) intel(0): 640x480@75Hz
(II) intel(0): 800x600@60Hz
(II) intel(0): 800x600@75Hz
(II) intel(0): 1024x768@60Hz
(II) intel(0): 1024x768@75Hz
(II) intel(0): 1280x1024@75Hz
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported standard timings:
(II) intel(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) intel(0): #1: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 146.2 MHz   Image Size:  434 x 270 mm
(II) intel(0): h_active: 1680  h_sync: 1784  h_sync_end 1960 h_blank_end 2240 h_border: 0
(II) intel(0): v_active: 1050  v_sync: 1053  v_sync_end 1059 v_blanking: 1089 v_border: 0
(II) intel(0): Serial No: HF7306480C0L
(II) intel(0): Monitor name: DELL 2007WFP
(II) intel(0): Ranges: V min: 56 V max: 76 Hz, H min: 30 H max: 83 kHz, PixClock max 150 MHz
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff0010ac18a04c304330
(II) intel(0): 	0e1001030e2b1b78eeee91a3544c9926
(II) intel(0): 	0f5054a54b008180714f010101010101
(II) intel(0): 	01010101010121399030621a274068b0
(II) intel(0): 	3600b20e1100001c000000ff00484637
(II) intel(0): 	33303634383043304c0a000000fc0044
(II) intel(0): 	454c4c20323030375746500a000000fd
(II) intel(0): 	00384c1e530f000a2020202020200014
(II) intel(0): EDID vendor "DEL", prod id 40984
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Printing probed modes for output VGA1
(II) intel(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) intel(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): EDID for output HDMI1
(II) intel(0): EDID for output DP1
(II) intel(0): EDID for output HDMI2
(II) intel(0): EDID for output DP2
(II) intel(0): EDID for output DP3
(II) intel(0): EDID for output LVDS1
(II) intel(0): EDID for output VGA1
(II) intel(0): Manufacturer: DEL  Model: a018  Serial#: 809709644
(II) intel(0): Year: 2006  Week: 14
(II) intel(0): EDID Version: 1.3
(II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) intel(0): Sync:  Separate  Composite  SyncOnGreen
(II) intel(0): Max Image Size [cm]: horiz.: 43  vert.: 27
(II) intel(0): Gamma: 2.20
(II) intel(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) intel(0): Default color space is primary color space
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) intel(0): blueX: 0.150 blueY: 0.060   whiteX: 0.312 whiteY: 0.329
(II) intel(0): Supported established timings:
(II) intel(0): 720x400@70Hz
(II) intel(0): 640x480@60Hz
(II) intel(0): 640x480@75Hz
(II) intel(0): 800x600@60Hz
(II) intel(0): 800x600@75Hz
(II) intel(0): 1024x768@60Hz
(II) intel(0): 1024x768@75Hz
(II) intel(0): 1280x1024@75Hz
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported standard timings:
(II) intel(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) intel(0): #1: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 146.2 MHz   Image Size:  434 x 270 mm
(II) intel(0): h_active: 1680  h_sync: 1784  h_sync_end 1960 h_blank_end 2240 h_border: 0
(II) intel(0): v_active: 1050  v_sync: 1053  v_sync_end 1059 v_blanking: 1089 v_border: 0
(II) intel(0): Serial No: HF7306480C0L
(II) intel(0): Monitor name: DELL 2007WFP
(II) intel(0): Ranges: V min: 56 V max: 76 Hz, H min: 30 H max: 83 kHz, PixClock max 150 MHz
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff0010ac18a04c304330
(II) intel(0): 	0e1001030e2b1b78eeee91a3544c9926
(II) intel(0): 	0f5054a54b008180714f010101010101
(II) intel(0): 	01010101010121399030621a274068b0
(II) intel(0): 	3600b20e1100001c000000ff00484637
(II) intel(0): 	33303634383043304c0a000000fc0044
(II) intel(0): 	454c4c20323030375746500a000000fd
(II) intel(0): 	00384c1e530f000a2020202020200014
(II) intel(0): EDID vendor "DEL", prod id 40984
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Printing probed modes for output VGA1
(II) intel(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) intel(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): EDID for output HDMI1
(II) intel(0): EDID for output DP1
(II) intel(0): EDID for output HDMI2
(II) intel(0): EDID for output DP2
(II) intel(0): EDID for output DP3
(II) intel(0): EDID for output LVDS1
(II) intel(0): EDID for output VGA1
(II) intel(0): Manufacturer: DEL  Model: a018  Serial#: 809709644
(II) intel(0): Year: 2006  Week: 14
(II) intel(0): EDID Version: 1.3
(II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) intel(0): Sync:  Separate  Composite  SyncOnGreen
(II) intel(0): Max Image Size [cm]: horiz.: 43  vert.: 27
(II) intel(0): Gamma: 2.20
(II) intel(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) intel(0): Default color space is primary color space
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) intel(0): blueX: 0.150 blueY: 0.060   whiteX: 0.312 whiteY: 0.329
(II) intel(0): Supported established timings:
(II) intel(0): 720x400@70Hz
(II) intel(0): 640x480@60Hz
(II) intel(0): 640x480@75Hz
(II) intel(0): 800x600@60Hz
(II) intel(0): 800x600@75Hz
(II) intel(0): 1024x768@60Hz
(II) intel(0): 1024x768@75Hz
(II) intel(0): 1280x1024@75Hz
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported standard timings:
(II) intel(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) intel(0): #1: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 146.2 MHz   Image Size:  434 x 270 mm
(II) intel(0): h_active: 1680  h_sync: 1784  h_sync_end 1960 h_blank_end 2240 h_border: 0
(II) intel(0): v_active: 1050  v_sync: 1053  v_sync_end 1059 v_blanking: 1089 v_border: 0
(II) intel(0): Serial No: HF7306480C0L
(II) intel(0): Monitor name: DELL 2007WFP
(II) intel(0): Ranges: V min: 56 V max: 76 Hz, H min: 30 H max: 83 kHz, PixClock max 150 MHz
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff0010ac18a04c304330
(II) intel(0): 	0e1001030e2b1b78eeee91a3544c9926
(II) intel(0): 	0f5054a54b008180714f010101010101
(II) intel(0): 	01010101010121399030621a274068b0
(II) intel(0): 	3600b20e1100001c000000ff00484637
(II) intel(0): 	33303634383043304c0a000000fc0044
(II) intel(0): 	454c4c20323030375746500a000000fd
(II) intel(0): 	00384c1e530f000a2020202020200014
(II) intel(0): EDID vendor "DEL", prod id 40984
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Printing probed modes for output VGA1
(II) intel(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) intel(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): EDID for output HDMI1
(II) intel(0): EDID for output DP1
(II) intel(0): EDID for output HDMI2
(II) intel(0): EDID for output DP2
(II) intel(0): EDID for output DP3
(II) intel(0): EDID for output LVDS1
(II) intel(0): EDID for output VGA1
(II) intel(0): Manufacturer: DEL  Model: a018  Serial#: 809709644
(II) intel(0): Year: 2006  Week: 14
(II) intel(0): EDID Version: 1.3
(II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) intel(0): Sync:  Separate  Composite  SyncOnGreen
(II) intel(0): Max Image Size [cm]: horiz.: 43  vert.: 27
(II) intel(0): Gamma: 2.20
(II) intel(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) intel(0): Default color space is primary color space
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) intel(0): blueX: 0.150 blueY: 0.060   whiteX: 0.312 whiteY: 0.329
(II) intel(0): Supported established timings:
(II) intel(0): 720x400@70Hz
(II) intel(0): 640x480@60Hz
(II) intel(0): 640x480@75Hz
(II) intel(0): 800x600@60Hz
(II) intel(0): 800x600@75Hz
(II) intel(0): 1024x768@60Hz
(II) intel(0): 1024x768@75Hz
(II) intel(0): 1280x1024@75Hz
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported standard timings:
(II) intel(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) intel(0): #1: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 146.2 MHz   Image Size:  434 x 270 mm
(II) intel(0): h_active: 1680  h_sync: 1784  h_sync_end 1960 h_blank_end 2240 h_border: 0
(II) intel(0): v_active: 1050  v_sync: 1053  v_sync_end 1059 v_blanking: 1089 v_border: 0
(II) intel(0): Serial No: HF7306480C0L
(II) intel(0): Monitor name: DELL 2007WFP
(II) intel(0): Ranges: V min: 56 V max: 76 Hz, H min: 30 H max: 83 kHz, PixClock max 150 MHz
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff0010ac18a04c304330
(II) intel(0): 	0e1001030e2b1b78eeee91a3544c9926
(II) intel(0): 	0f5054a54b008180714f010101010101
(II) intel(0): 	01010101010121399030621a274068b0
(II) intel(0): 	3600b20e1100001c000000ff00484637
(II) intel(0): 	33303634383043304c0a000000fc0044
(II) intel(0): 	454c4c20323030375746500a000000fd
(II) intel(0): 	00384c1e530f000a2020202020200014
(II) intel(0): EDID vendor "DEL", prod id 40984
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Printing probed modes for output VGA1
(II) intel(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) intel(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): EDID for output HDMI1
(II) intel(0): EDID for output DP1
(II) intel(0): EDID for output HDMI2
(II) intel(0): EDID for output DP2
(II) intel(0): EDID for output DP3
(II) intel(0): EDID for output LVDS1
(II) intel(0): EDID for output VGA1
(II) intel(0): Manufacturer: DEL  Model: a018  Serial#: 809709644
(II) intel(0): Year: 2006  Week: 14
(II) intel(0): EDID Version: 1.3
(II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) intel(0): Sync:  Separate  Composite  SyncOnGreen
(II) intel(0): Max Image Size [cm]: horiz.: 43  vert.: 27
(II) intel(0): Gamma: 2.20
(II) intel(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) intel(0): Default color space is primary color space
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) intel(0): blueX: 0.150 blueY: 0.060   whiteX: 0.312 whiteY: 0.329
(II) intel(0): Supported established timings:
(II) intel(0): 720x400@70Hz
(II) intel(0): 640x480@60Hz
(II) intel(0): 640x480@75Hz
(II) intel(0): 800x600@60Hz
(II) intel(0): 800x600@75Hz
(II) intel(0): 1024x768@60Hz
(II) intel(0): 1024x768@75Hz
(II) intel(0): 1280x1024@75Hz
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported standard timings:
(II) intel(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) intel(0): #1: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 146.2 MHz   Image Size:  434 x 270 mm
(II) intel(0): h_active: 1680  h_sync: 1784  h_sync_end 1960 h_blank_end 2240 h_border: 0
(II) intel(0): v_active: 1050  v_sync: 1053  v_sync_end 1059 v_blanking: 1089 v_border: 0
(II) intel(0): Serial No: HF7306480C0L
(II) intel(0): Monitor name: DELL 2007WFP
(II) intel(0): Ranges: V min: 56 V max: 76 Hz, H min: 30 H max: 83 kHz, PixClock max 150 MHz
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff0010ac18a04c304330
(II) intel(0): 	0e1001030e2b1b78eeee91a3544c9926
(II) intel(0): 	0f5054a54b008180714f010101010101
(II) intel(0): 	01010101010121399030621a274068b0
(II) intel(0): 	3600b20e1100001c000000ff00484637
(II) intel(0): 	33303634383043304c0a000000fc0044
(II) intel(0): 	454c4c20323030375746500a000000fd
(II) intel(0): 	00384c1e530f000a2020202020200014
(II) intel(0): EDID vendor "DEL", prod id 40984
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Printing probed modes for output VGA1
(II) intel(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) intel(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): EDID for output HDMI1
(II) intel(0): EDID for output DP1
(II) intel(0): EDID for output HDMI2
(II) intel(0): EDID for output DP2
(II) intel(0): EDID for output DP3
[root@fugue log]#

Comment 2 Matěj Cepl 2010-05-29 16:32:23 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages),

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Gerd Hoffmann 2010-05-31 20:06:27 UTC
Created attachment 418382 [details]
dmesg

Comment 4 Gerd Hoffmann 2010-05-31 20:07:33 UTC
Created attachment 418383 [details]
/var/log/messages

Comment 5 Gerd Hoffmann 2010-05-31 20:10:15 UTC
I see screen corruptions pretty simliar to the ones in the attached screen shot.  Happens with both gnome and kde.  desktop effects are turned off.  dmesg and /var/log/messages are attached.  /etc/X11/xorg.conf doesn't exist.

Comment 6 Bob Kozdemba 2010-06-01 15:18:55 UTC
Created attachment 418679 [details]
dmesg output

Comment 7 Bob Kozdemba 2010-06-01 15:21:08 UTC
Created attachment 418680 [details]
/var/log/messages

Comment 8 Matěj Cepl 2010-06-02 07:55:25 UTC
Please, upgrade to the latest version of packages. I have observed this bug myself and with

xorg-x11-server-Xorg-1.7.7-3.el6.x86_64
xorg-x11-drv-intel-2.11.0-4.el6.x86_64
kernel-2.6.32-31.el6.x86_64

I cannot reproduce it anymore.

Comment 9 Bob Kozdemba 2010-06-02 17:21:43 UTC
After upgrading to the latest packages mentioned in comment 8, the distortion problem has gone away. Thanks!

As a side note, the X-server now behaves slightly different when my T500 is docked with an external monitor. X appears the span the entire 2 displays (3360x1050) when the T500 lid is closed. I will experiment with settings.

Comment 10 Gerd Hoffmann 2010-06-03 11:32:31 UTC
Corruption is still there for me.

[root@rincewind ~]# rpm -q xorg-x11-server-Xorg kernel xorg-x11-drv-intel
xorg-x11-server-Xorg-1.7.7-3.el6.x86_64
kernel-2.6.32-28.el6.x86_64
kernel-2.6.32-30.el6.x86_64
kernel-2.6.32-32.el6.x86_64
xorg-x11-drv-intel-2.11.0-4.el6.x86_64
[root@rincewind ~]# uname -r
2.6.32-32.el6.x86_64

It seems to have improved though, I think older versions had more corruption.

Comment 11 Gerd Hoffmann 2010-06-03 11:35:47 UTC
Created attachment 419335 [details]
screen shot

kde desktop, panel on the bottom is dissorted.

older versions had corruptions elsewhere on the screen too (browser images for example) which seem to be gone now.

Comment 12 Gerd Hoffmann 2010-06-03 11:38:51 UTC
Created attachment 419336 [details]
screen shot

kde desktop, panel on the bottom is dissorted.

older versions had corruptions elsewhere on the screen too (browser images for example) which seem to be gone now.

Comment 13 Bob Kozdemba 2010-06-03 13:59:11 UTC
Regarding comment 9, I should mention that ran 'yum update' against the nightly builds repo on the morning of 7/2/2010 so all my packages were updated.

Comment 14 Matěj Cepl 2010-06-03 14:51:35 UTC
(In reply to comment #10)
> Corruption is still there for me.

Could I get logs as mentioned in the comment 2 from you as well, please?

Thank you

Comment 15 Gerd Hoffmann 2010-06-03 15:08:30 UTC
Created attachment 419413 [details]
dmesg 2

See comments 3,4,5 ...
Attaching dmesg again (changes: new kernel & iommu enabled).

Comment 16 Gerd Hoffmann 2010-06-04 20:51:00 UTC
Updated to Beta2-1.0 (aka compose 20100603.0).
Corruption is still present.

Comment 17 RHEL Product and Program Management 2010-06-07 16:16:24 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 18 Dave Airlie 2010-06-11 06:28:28 UTC
migrating to intel driver, not likely a server bug

Comment 19 Dave Airlie 2010-06-25 01:25:17 UTC
can you try with xorg-x11-drv-intel-2.11.0-6 that is just built in brew.

Comment 20 Gerd Hoffmann 2010-06-25 08:52:56 UTC
Doesn't fix the corruption for me.

Comment 21 Dave Airlie 2010-06-28 01:43:01 UTC
can you boot with intel_iommu=off and still see corruptions?

Comment 22 Adam Jackson 2010-06-28 15:23:15 UTC
You haven't attached /var/log/Xorg.0.log, which would tell us what graphics chip this actually is (though you've attached /var/log/messages, which is useless).  Please attach the X log file.

Comment 24 Dave Airlie 2010-06-29 00:03:59 UTC
Its a GM45 if I had to guess from the other T500 I've seen.

Comment 25 Gerd Hoffmann 2010-06-29 10:16:35 UTC
Created attachment 427633 [details]
/var/log/Xorg.0.log

Comment 26 Gerd Hoffmann 2010-06-29 10:18:33 UTC
Changing intel_iommu doesn't change anything.  No matter whenever I boot with "on", "off", or "on,igfx_off" -- corruptions are present.

Comment 28 Gerd Hoffmann 2010-06-29 10:25:00 UTC
clear needinfo -- see comments 25+26

Comment 29 Dave Airlie 2010-06-30 04:16:57 UTC
Gerd, have you KDE compositing enabled?

Comment 30 Gerd Hoffmann 2010-06-30 06:34:58 UTC
compositing is disabled.

Comment 31 Gerd Hoffmann 2010-07-05 10:03:29 UTC
Updated to RHEL6.0-20100701.0 compose  ->  corruption is gone.

Comment 32 Adam Jackson 2010-07-06 15:35:59 UTC
(In reply to comment #31)
> Updated to RHEL6.0-20100701.0 compose  ->  corruption is gone.    

I'm not totally happy with that explanation; I don't know of anything new in that compose that should have solved this.  Gerd, are you still running with the driver from comment #23?  What's the EVR of the xorg-x11-driver-intel package you're running?

Comment 33 Gerd Hoffmann 2010-07-06 16:10:44 UTC
I'm running xorg-x11-drv-intel-2.11.0-6.el6.x86_64 (comment #19).

The comment #23 driver didn't work for me, see comment #27.

Comment 34 Dave Airlie 2010-07-07 23:03:35 UTC
I think the iommu fix in the kernel fixed this, since the problem on Cantiga is the shadow GTT would get updated with bad pages and could cause rendering issues.

Comment 35 Adam Jackson 2010-07-15 13:44:23 UTC
(In reply to comment #34)
> I think the iommu fix in the kernel fixed this, since the problem on Cantiga is
> the shadow GTT would get updated with bad pages and could cause rendering
> issues.    

Sounds plausible enough for me.


Note You need to log in before you can comment on or make changes to this bug.